Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class DBCacheEntry

    java.lang.Object
      org.pentaho.di.core.DBCacheEntry

    public class DBCacheEntry

extends Object

This class represents a single entry in a database cache. A single entry in this case usually means: a single SQL query.

Since:
  15-01-04
Author:
  Matt

Constructor Summary
`DBCacheEntry()`
`DBCacheEntry(DataInputStream dis)` Read the data for this Cache entry from a data input stream
`DBCacheEntry(String dbname, String sql)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`boolean` | `sameDB(String otherDb)`
`boolean` | `write(DataOutputStream dos)` Write the data for this Cache entry to a data output stream

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBCacheEntry

    public DBCacheEntry(String dbname,
                        String sql)

### DBCacheEntry

    public DBCacheEntry()

### DBCacheEntry

    public DBCacheEntry(DataInputStream dis)
                 throws KettleFileException

  Read the data for this Cache entry from a data input stream

  Parameters:
    `dis` - The DataInputStream to read this entry from.
  Throws:
    `KettleFileException` - if the cache can't be read from disk when it should be able to. If the cache file doesn't exists, no exception is thrown

Method Detail

### sameDB

    public boolean sameDB(String otherDb)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### write

    public boolean write(DataOutputStream dos)

  Write the data for this Cache entry to a data output stream

  Parameters:
    `dos` - The DataOutputStream to write this entry to.
  Returns:
    True if all went well, false if an error occured!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD